KDE Gear 22.08.1

How to install

sudo dnf upgrade --refresh --advisory=FEDORA-2022-d5e49475b1

This update's test gating status has been changed to 'waiting'.

2 months ago

This update's test gating status has been changed to 'ignored'.

2 months ago

This update has been submitted for testing by bodhi.

2 months ago

marcdeop edited this update.

New build(s):

  • kdevelop-php-22.08.1-1.fc36
  • kdevelop-22.08.1-2.fc36

Karma has been reset.

2 months ago

This update has been pushed to testing.

2 months ago
User Icon imabug commented & provided feedback 2 months ago
karma

Got these errors during the update

Problem 1: package umbrello-22.08.1-1.fc36.x86_64 requires libKDevPlatformInterfaces.so.57()(64bit), but none of the providers can be installed
- package umbrello-22.08.1-1.fc36.x86_64 requires libKDevPlatformLanguage.so.57()(64bit), but none of the providers can be installed
- package umbrello-22.08.1-1.fc36.x86_64 requires libKDevPlatformSerialization.so.57()(64bit), but none of the providers can be installed
- package umbrello-22.08.1-1.fc36.x86_64 requires libKDevPlatformShell.so.57()(64bit), but none of the providerscan be installed
- cannot install both kdevelop-libs-9:22.08.1-2.fc36.x86_64 and kdevelop-libs-9:21.12.2-1.fc36.x86_64
- cannot install the best update candidate for package umbrello-22.04.1-1.fc36.x86_64
- cannot install the best update candidate for package kdevelop-libs-9:21.12.2-1.fc36.x86_64
Problem 2: problem with installed package umbrello-22.04.1-1.fc36.x86_64
- package umbrello-22.04.1-1.fc36.x86_64 requires libKDevPlatformInterfaces.so.57()(64bit), but none of the providers can be installed
- package umbrello-22.04.1-1.fc36.x86_64 requires libKDevPlatformLanguage.so.57()(64bit), but none of the providers can be installed
- package umbrello-22.04.1-1.fc36.x86_64 requires libKDevPlatformSerialization.so.57()(64bit), but none of the providers can be installed
- package umbrello-22.04.1-1.fc36.x86_64 requires libKDevPlatformShell.so.57()(64bit), but none of the providerscan be installed
- package umbrello-22.08.1-1.fc36.x86_64 requires libKDevPlatformInterfaces.so.57()(64bit), but none of the providers can be installed
- package umbrello-22.08.1-1.fc36.x86_64 requires libKDevPlatformLanguage.so.57()(64bit), but none of the providers can be installed
- package umbrello-22.08.1-1.fc36.x86_64 requires libKDevPlatformSerialization.so.57()(64bit), but none of the providers can be installed
- package umbrello-22.08.1-1.fc36.x86_64 requires libKDevPlatformShell.so.57()(64bit), but none of the providerscan be installed
- cannot install both kdevelop-libs-9:22.08.1-2.fc36.x86_64 and kdevelop-libs-9:21.12.2-1.fc36.x86_64
- package kdevelop-9:22.08.1-2.fc36.x86_64 requires kdevelop-libs(x86-64) = 9:22.08.1-2.fc36, but none of the providers can be installed
- package kdevelop-9:22.08.1-2.fc36.x86_64 requires libKDevPlatformInterfaces.so.59()(64bit), but none of the providers can be installed
- package kdevelop-9:22.08.1-2.fc36.x86_64 requires libKDevPlatformProject.so.59()(64bit), but none of the providers can be installed
- package kdevelop-9:22.08.1-2.fc36.x86_64 requires libKDevPlatformShell.so.59()(64bit), but none of the providers can be installed
- package kdevelop-9:22.08.1-2.fc36.x86_64 requires libKDevPlatformUtil.so.59()(64bit), but none of the providers can be installed
- cannot install the best update candidate for package kdevelop-9:21.12.2-1.fc36.x86_64

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

2 months ago
User Icon geraldosimiao commented & provided feedback 2 months ago
karma

Updated without errors here, all is working fine.

User Icon ozeszty commented & provided feedback 2 months ago
karma

All good, I don't use umbrello, though.

I think umbrello needs a rebuild against proper kdevelop version. Thanks for noticing @imabug

marcdeop edited this update.

New build(s):

  • umbrello-22.08.1-2.fc36

Removed build(s):

  • umbrello-22.08.1-1.fc36

Karma has been reset.

a month ago

This update has been submitted for testing by marcdeop.

a month ago

This update has been pushed to testing.

a month ago

For me, it tries to install Kate and several perl (perl-Data-Dump perl-Digest-HMAC perl-File-Listing perl-HTTP-Cookies perl-HTTP-Negotiate perl-NTLM perl-Net-HTTP perl-Term-ReadLine perl-Try-Tiny perl-WWW-RobotRules perl-libwww-perl perl-locale ) packages as hard dependencies. But I don't want Kate on my computer. I don't know about this update... for me that would be a no-go.

@emarci : I am not sure I understand what you are seeing. What is trying to install Kate?

Just fyi: kate and kwrite are the same

@marcdeop I have kwrite installed, but not kate at the moment. I don't really like the GUI of kate, I rather use kwrite. In what sense are they the same?

Anyway, when I run sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-d5e49475b1, additional packages will get installed: (it shows only the part of packages that will be newly installed when updating)

Abhängigkeiten werden installiert:
 cfitsio                               x86_64            4.0.0-2.fc36                  fedora                     595 k
 kate                                  x86_64            22.08.1-1.fc36                updates-testing            7.4 M
 perl-Data-Dump                        noarch            1.25-3.fc36                   fedora                      33 k
 perl-Digest-HMAC                      noarch            1.04-4.fc36                   fedora                      23 k
 perl-File-Listing                     noarch            6.15-1.fc36                   updates                     25 k
 perl-HTTP-Cookies                     noarch            6.10-5.fc36                   fedora                      38 k
 perl-HTTP-Negotiate                   noarch            6.01-31.fc36                  fedora                      20 k
 perl-NTLM                             noarch            1.09-31.fc36                  fedora                      22 k
 perl-Net-HTTP                         noarch            6.22-1.fc36                   fedora                      40 k
 perl-Term-ReadLine                    noarch            1.17-486.fc36                 fedora                      24 k
 erl-Try-Tiny                         noarch            0.31-2.fc36                   fedora                      38 k
 perl-WWW-RobotRules                   noarch            6.02-31.fc36                  fedora                      20 k
 perl-libwww-perl                      noarch            6.67-1.fc36                   updates                    203 k
 perl-locale                           noarch            1.10-486.fc36                 fedora                      19 k
User Icon emarci commented & provided feedback a month ago
karma

Sorry for the confusion. So I found out: kio-extras now depends on perl-Data-Dump perl-Digest-HMAC perl-File-Listing perl-HTTP-Cookies perl-HTTP-Negotiate perl-NTLM perl-Net-HTTP perl-Term-ReadLine perl-Try-Tiny perl-WWW-RobotRules perl-libwww-perl perl-locale.

And kwrite now depends on kate. I still don't get the kwrite and kate thing, but that's probably because of my misunderstanding of the situation. Also found the commit, that started code sharing between kate and kwrite: https://invent.kde.org/utilities/kate/-/commit/73dce066421362ce9f5bb5cec2528f5085765d42

All in all, LGTM :-)

User Icon ozeszty provided feedback a month ago
karma

This update can be pushed to stable now if the maintainer wishes

a month ago

This update has been submitted for stable by marcdeop.

a month ago
User Icon agurenko provided feedback a month ago
karma

This update has been pushed to stable.

a month ago

KWrite used to be a UI shell around the KatePart, now the UI shell code is also mostly shared and KWrite is just a kind of a skin for the Kate UI. The developers figured it does not make sense to maintain 2 completely separate shells (Kate and KWrite) for the same editor component (KatePart).


Please login to add feedback.

Metadata
Type
unspecified
Karma
3
Signed
Content Type
RPM
Test Gating
Builds
182
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
2 months ago
in testing
a month ago
in stable
a month ago
modified
a month ago
akonadi-calendar-tools-22.08.1-1.fc36
akonadiconsole-22.08.1-1.fc36
akonadi-import-wizard-22.08.1-1.fc36
akregator-22.08.1-1.fc36
analitza-22.08.1-1.fc36
ark-22.08.1-1.fc36
artikulate-22.08.1-1.fc36
baloo-widgets-22.08.1-1.fc36
blinken-22.08.1-1.fc36
bovo-22.08.1-1.fc36
cantor-22.08.1-1.fc36
cervisia-22.08.1-1.fc36
dolphin-22.08.1-1.fc36
dolphin-plugins-22.08.1-1.fc36
dragon-22.08.1-1.fc36
elisa-player-22.08.1-1.fc36
filelight-22.08.1-1.fc36
granatier-22.08.1-1.fc36
grantlee-editor-22.08.1-1.fc36
gwenview-22.08.1-1.fc36
juk-22.08.1-1.fc36
k3b-22.08.1-2.fc36
kaccounts-integration-22.08.1-1.fc36
kaccounts-providers-22.08.1-1.fc36
kaddressbook-22.08.1-1.fc36
kajongg-22.08.1-1.fc36
kalarm-22.08.1-1.fc36
kalendar-22.08.1-1.fc36
kalgebra-22.08.1-1.fc36
kalzium-22.08.1-1.fc36
kamera-22.08.1-1.fc36
kamoso-22.08.1-1.fc36
kanagram-22.08.1-1.fc36
kapman-22.08.1-1.fc36
kapptemplate-22.08.1-1.fc36
kate-22.08.1-1.fc36
katomic-22.08.1-1.fc36
kbackup-22.08.1-1.fc36
kblocks-22.08.1-1.fc36
kbruch-22.08.1-1.fc36
kcachegrind-22.08.1-1.fc36
kcalc-22.08.1-1.fc36
kcharselect-22.08.1-1.fc36
kcolorchooser-22.08.1-1.fc36
kcron-22.08.1-1.fc36
kdebugsettings-22.08.1-1.fc36
kde-connect-22.08.1-1.fc36
kde-dev-scripts-22.08.1-1.fc36
kde-dev-utils-22.08.1-1.fc36
kdeedu-data-22.08.1-1.fc36
kdegraphics-mobipocket-22.08.1-1.fc36
kdegraphics-thumbnailers-22.08.1-1.fc36
kdenetwork-filesharing-22.08.1-1.fc36
kde-partitionmanager-22.08.1-1.fc36
kdepim-addons-22.08.1-1.fc36
kdepim-runtime-22.08.1-1.fc36
kde-print-manager-22.08.1-1.fc36
kdesdk-thumbnailers-22.08.1-1.fc36
kdevelop-22.08.1-2.fc36
kdevelop-php-22.08.1-1.fc36
kdf-22.08.1-1.fc36
kdialog-22.08.1-1.fc36
keditbookmarks-22.08.1-1.fc36
kf5-akonadi-calendar-22.08.1-1.fc36
kf5-akonadi-contacts-22.08.1-1.fc36
kf5-akonadi-mime-22.08.1-1.fc36
kf5-akonadi-notes-22.08.1-1.fc36
kf5-akonadi-search-22.08.1-1.fc36
kf5-akonadi-server-22.08.1-2.fc36
kf5-audiocd-kio-22.08.1-2.fc36
kf5-calendarsupport-22.08.1-1.fc36
kf5-eventviews-22.08.1-1.fc36
kf5-grantleetheme-22.08.1-1.fc36
kf5-incidenceeditor-22.08.1-1.fc36
kf5-kcalendarutils-22.08.1-1.fc36
kf5-kidentitymanagement-22.08.1-1.fc36
kf5-kimap-22.08.1-1.fc36
kf5-kipi-plugins-22.08.1-1.fc36
kf5-kitinerary-22.08.1-1.fc36
kf5-kldap-22.08.1-1.fc36
kf5-kmailtransport-22.08.1-1.fc36
kf5-kmbox-22.08.1-1.fc36
kf5-kmime-22.08.1-1.fc36
kf5-kontactinterface-22.08.1-1.fc36
kf5-kpimtextedit-22.08.1-1.fc36
kf5-kpkpass-22.08.1-1.fc36
kf5-ksmtp-22.08.1-1.fc36
kf5-ktnef-22.08.1-1.fc36
kf5-libgravatar-22.08.1-1.fc36
kf5-libkcddb-22.08.1-1.fc36
kf5-libkcompactdisc-22.08.1-1.fc36
kf5-libkdcraw-22.08.1-1.fc36
kf5-libkdepim-22.08.1-1.fc36
kf5-libkexiv2-22.08.1-1.fc36
kf5-libkipi-22.08.1-1.fc36
kf5-libkleo-22.08.1-1.fc36
kf5-libksieve-22.08.1-1.fc36
kf5-libktorrent-22.08.1-1.fc36
kf5-mailcommon-22.08.1-1.fc36
kf5-mailimporter-22.08.1-1.fc36
kf5-messagelib-22.08.1-1.fc36
kf5-pimcommon-22.08.1-1.fc36
kfind-22.08.1-1.fc36
kfloppy-22.08.1-1.fc36
kgeography-22.08.1-1.fc36
kget-22.08.1-1.fc36
kgpg-22.08.1-1.fc36
khangman-22.08.1-1.fc36
khelpcenter-22.08.1-1.fc36
kig-22.08.1-1.fc36
kio-extras-22.08.1-1.fc36
kio-gdrive-22.08.1-1.fc36
kirigami-gallery-22.08.1-1.fc36
kiriki-22.08.1-1.fc36
kiten-22.08.1-1.fc36
kleopatra-22.08.1-1.fc36
klettres-22.08.1-1.fc36
klines-22.08.1-1.fc36
kmag-22.08.1-1.fc36
kmail-22.08.1-1.fc36
kmail-account-wizard-22.08.1-1.fc36
kmines-22.08.1-1.fc36
kmix-22.08.1-1.fc36
kmousetool-22.08.1-1.fc36
kmouth-22.08.1-1.fc36
kmplot-22.08.1-1.fc36
knavalbattle-22.08.1-1.fc36
knetwalk-22.08.1-1.fc36
knotes-22.08.1-1.fc36
kollision-22.08.1-1.fc36
kolourpaint-22.08.1-1.fc36
kompare-22.08.1-1.fc36
konquest-22.08.1-1.fc36
konsole5-22.08.1-1.fc36
kontact-22.08.1-1.fc36
konversation-22.08.1-1.fc36
kopete-22.08.1-1.fc36
korganizer-22.08.1-1.fc36
kpmcore-22.08.1-1.fc36
kqtquickcharts-22.08.1-1.fc36
krdc-22.08.1-1.fc36
krfb-22.08.1-1.fc36
kruler-22.08.1-1.fc36
ksirk-22.08.1-1.fc36
kspaceduel-22.08.1-1.fc36
ksquares-22.08.1-1.fc36
ksudoku-22.08.1-1.fc36
ksystemlog-22.08.1-1.fc36
kteatime-22.08.1-1.fc36
ktimer-22.08.1-1.fc36
ktorrent-22.08.1-1.fc36
ktouch-22.08.1-1.fc36
kturtle-22.08.1-1.fc36
kwalletmanager5-22.08.1-1.fc36
kwave-22.08.1-2.fc36
kwordquiz-22.08.1-1.fc36
libkdegames-22.08.1-1.fc36
libkeduvocdocument-22.08.1-1.fc36
libkgapi-22.08.1-1.fc36
libkmahjongg-22.08.1-1.fc36
libkomparediff2-22.08.1-1.fc36
lokalize-22.08.1-1.fc36
lskat-22.08.1-1.fc36
marble-22.08.1-1.fc36
mbox-importer-22.08.1-1.fc36
minuet-22.08.1-1.fc36
okular-22.08.1-1.fc36
palapeli-22.08.1-1.fc36
parley-22.08.1-1.fc36
picmi-22.08.1-1.fc36
pim-data-exporter-22.08.1-1.fc36
pim-sieve-editor-22.08.1-1.fc36
poxml-22.08.1-1.fc36
rocs-22.08.1-1.fc36
signon-kwallet-extension-22.08.1-1.fc36
spectacle-22.08.1-1.fc36
step-22.08.1-1.fc36
svgpart-22.08.1-1.fc36
sweeper-22.08.1-1.fc36
umbrello-22.08.1-2.fc36
yakuake-22.08.1-1.fc36
zanshin-22.08.1-1.fc36

Automated Test Results